Skip to navigation

Retrieve a product rate plan charge tier

View as Markdown
Retrieve the details of a specific Product Rate Plan Charge Tier object.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

keystringRequired
ID of a product rate plan charge tier.

Headers

Idempotency-KeystringOptional<=255 characters
Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

pageSizeintegerOptional1-99Defaults to 10

The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error.

cursorstringOptional

A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list.

sort[]list of stringsOptional

A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored.

expand[]list of enumsOptional
Allows you to expand responses by including related object information in a single call.
Allowed values:
filter[]list of stringsOptional

A case-insensitive filter on the list.

fields[]list of stringsOptional

A case-insensitive query parameter that allows you to specify which fields are returned in the response.

includeNullFieldsbooleanOptionalDefaults to false

Specifies whether to include fields with the null value in the response.

  • If set to true, all fields will be returned in the response, including those with the null value.
  • If set to false, only fields with non-null values will be returned.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
idstringOptional
The unique identifier of the product rate plan charge tier.
createdByIdstringOptional
The unique identifier of the user who created the product rate plan charge tier.
createdDatedatetimeOptional

The time that the product rate plan charge tier gets created in the system, in the YYYY-MM-DD HH:MM:SS format.

updatedByIdstringOptional
The unique identifier of the user who last updated the product rate plan charge tier.
updatedDatedatetimeOptional
The date and time when the product rate plan charge tier was last updated.
activebooleanOptional
Indicates whether the product rate plan charge tier is active.
currencystringOptional
The valid code corresponding to the currency for the tier's price.
discountAmountdoubleOptional

The specific amount for a fixed discount. This field is applicable for charges based on the Discount-Fixed Amount charge model.

discountPercentagedoubleOptional

The percentage of discount for a percentage discount. This field is applicable for charges based on the Discount-Percentage charge model.

endingUnitdoubleOptional
The end number of a range of units for the tier. This field is applicable for charges based on the Tiered Pricing or Tiered with Overage Pricing charge model.
includedUnitsdoubleOptional
Specifies the number of units in the base set of units.
overagePricedoubleOptional
Indicates whether the price is an overage price, which is the price when usage surpasses the last defined tier.
pricedoubleOptional
The price of the tier if the charge is a flat fee, or the price of each unit in the tier if the charge model is tiered pricing.
priceFormatenumOptional
Indicates if pricing is a flat fee or is per unit. This field is for tiered and volume pricing models only.
Allowed values:
startingUnitdoubleOptional
The starting number of a range of units for the tier. This field is applicable for charges based on the Tiered Pricing or Tiered with Overage Pricing charge model.
tierintegerOptional
A unique number that identifies the tier that the price applies to.
isDefaultbooleanOptional
Indicates whether the tier is the default tier. The default tier is the tier that is used when the usage does not fall into any of the defined tiers.
productRatePlanChargeIdstringOptional
The unique identifier of the product rate plan charge that the tier belongs to.
productChargeDefinitionIdstringOptional
The unique identifier of the product rate plan charge definition that the tier belongs to.
productRatePlanChargeobjectOptional

Errors

4XX
Client Request Error
500
Internal Server Error